VERSION 5.00
Begin VB.Form frmTabStops 
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Tab Stops"
   ClientHeight    =   3090
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   4920
   Icon            =   "frmTabStops.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3090
   ScaleWidth      =   4920
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   345
      Left            =   3180
      TabIndex        =   3
      Top             =   2490
      Width           =   1440
   End
   Begin VB.CommandButton cmdRemove 
      Caption         =   "Remove Tab Stop"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   345
      Left            =   3180
      TabIndex        =   2
      Top             =   690
      Width           =   1440
   End
   Begin VB.CommandButton cmdAdd 
      Caption         =   "Add Tab Stop"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   345
      Left            =   3180
      TabIndex        =   1
      Top             =   300
      Width           =   1440
   End
   Begin VB.ComboBox cboTabs 
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2520
      Left            =   285
      Style           =   1  'Simple Combo
      TabIndex        =   0
      Top             =   300
      Width           =   2775
   End
   Begin VB.Label Label1 
      BackColor       =   &H00FFFFFF&
      Caption         =   "0.01 inches"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   3180
      TabIndex        =   4
      Top             =   1245
      Width           =   1440
   End
End
Attribute VB_Name = "frmTabStops"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
        '- - - - - - - - - - - - - - - - - - - - - - - - - - - - '
        ' Hyperwrite from NIXON                                  '
        ' Copyright (C) 2004-2006 NIXON Software Corporation.    '
        '- - - - - - - - - - - - - - - - - - - - - - - - - - - - '
        ' You may use this code freely in your own applications. '
        ' If you are distributing your code/application(s), it   '
        ' would be greatly appreciated if you credit NIXON in    '
        ' your About dialog. Please note that portions of this   '
        ' code belongs to other people. For more details, please '
        ' view the About dialog.                                 '
        '- - - - - - - - - - - - - - - - - - - - - - - - - - - - '
        ' This form's code was made by James Crawley.            '
        '- - - - - - - - - - - - - - - - - - - - - - - - - - - - '
Option Explicit
Dim dTabs As Double
Dim dTextNum As Double

Private Sub Form_Load()
Dim i As Integer
    On Error Resume Next
     Me.ScaleMode = 3
     fMainForm.ActiveForm.ScaleMode = 3
    ' Add the tab stops
    For i = 0 To fMainForm.ActiveForm.rtfText.SelTabCount - 1
        ' Add the item to the list box
        cboTabs.AddItem CInt(fMainForm.ActiveForm.rtfText.SelTabs(i))
    Next
    'cboTabs.ListIndex = 0
End Sub
 Public Sub cmdAdd_Click()
 On Error GoTo 15
 Dim i As Integer
    Dim gItemFound As Boolean
    gItemFound = False
    ' Add new value
    For i = 0 To cboTabs.ListCount - 1
        ' Is the current item more than
        ' new one?
        If Val(cboTabs.List(dTabs)) > Val(cboTabs.text) Then
            ' Yes it is, add the new
            ' item here
            cboTabs.AddItem cboTabs.text, dTabs
            ' select this item
            cboTabs.ListIndex = dTabs
            ' we have put it in
            gItemFound = True
            Exit For
        End If
Next
If gItemFound = False Then
    ' No item found that is greater
    ' put the new item at bottom
    dTextNum = CDbl(cboTabs.text) * 100
    cboTabs.text = dTextNum
    cboTabs.AddItem cboTabs.text, cboTabs.ListCount
    ' select the item
    cboTabs.ListIndex = cboTabs.ListCount - 1
End If
Exit Sub
15:
CustomBox "No tab stop was set.", "You cannot add a tab stop because you have not entered a position for the tab stop yet.", vbExclamation, "", "", "OK"
End Sub
 Private Sub cmdRemove_Click()
    On Error GoTo 10
    ' Are you sure?
    If cboTabs.List(dTabs) = "" Then
        CustomBox "No tab stop selected.", "You cannot add a remove a tab stop because no tab stop was selected.", vbExclamation, "", "", "OK"
    Exit Sub
    End If
    If CustomBox("Remove current tab stop?", "If you remove the tab stop, the references to it in the document will be affected.", vbExclamation, "", "Cancel", "Remove") = 2 Then Exit Sub
    cboTabs.RemoveItem (cboTabs.ListIndex)
10:
End Sub

' OK code
Public Sub cmdOK_Click()
On Error GoTo 10
    ' Update sel tabs
    fMainForm.ActiveForm.rtfText.SelTabCount = cboTabs.ListCount
    For dTabs = 0 To cboTabs.ListCount - 1
        ' Add the sel tab
        fMainForm.ActiveForm.rtfText.SelTabs(dTabs) = cboTabs.List(dTabs)
    Next
    Unload Me
    Exit Sub
10:
If Err.Number = 13 Then
CustomBox "Error 13: Invalid number", "Please do not put any extra characters before and/or after the tab stop number.", vbExclamation, "", "", "OK"
Else
ErrorTrap ""
End If
End Sub
